/***************************************************************************
                          ksensorscfg.h  -  description
                             -------------------
    begin                : mi� may 8 2002
    Copyright	Giuseppe Della Bianca<giusdbg@gmail.com>

    original author	 : Miguel Novas
    email                : michaell@teleline.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSENSORSCFG_H
#define KSENSORSCFG_H

#include <qwidget.h>

#include <kpagedialog.h>

#include "ksensorsmain.h"

//class QVBoxLayout;
//class QHBoxLayout;
//class QGridLayout;
//class QFrame;
//class QIconView;
//class QIconViewItem;
class KPageDialog;
class GeneralCfg;
class sensorsCfg;
class SystemCfg;

class KsensorsMain;

class SensorDevsList;

/**
  *@original author Miguel Novas
  */

class KSensorsCfg : public KPageDialog 
{
Q_OBJECT
public:
	KSensorsCfg( KsensorsMain *ksensorsMainIn, const QString &name = QString() );
	~KSensorsCfg();

/*protected Q_SLOTS:

  void slotSelectionChanged();
*/
   
private:
    KsensorsMain *ksensorsMain;
   
   GeneralCfg   *m_generalcfg;
   sensorsCfg *m_sensorscfg;

   QWidget     *cfgWidget;

   /*
   QIconView   *IconView;
   QWidget     *cfgWidget;
   QHBoxLayout *FormLayout;*/
};

#endif
